Typescript (SDK)
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.schema3Other.createOrUpdateApiV1SandboxSessionsSessionIdGithubPullRequestPost({
sessionId: "<id>",
gitHubPullRequestRequest: {
branch: "<value>",
title: "<value>",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Schema3Other.CreateOrUpdateApiV1SandboxSessionsSessionIdGithubPullRequestPostAsync(
sessionId: "<id>",
body: new GitHubPullRequestRequest() {
Branch = "<value>",
Title = "<value>",
}
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.schema_3_other.create_or_update_api_v1_sandbox_sessions_session_id_github_pull_request_post(session_id="<id>", branch="<value>", title="<value>", body="", draft=False)
# Handle response
print(res)curl --request POST \
--url https://apigw.mka1.com/api/v1/sandbox/sessions/{session_id}/github/pull-request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branch": "<string>",
"title": "<string>",
"body": "",
"base": "<string>",
"draft": false
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branch: '<string>',
title: '<string>',
body: JSON.stringify(''),
base: '<string>',
draft: false
})
};
fetch('https://apigw.mka1.com/api/v1/sandbox/sessions/{session_id}/github/pull-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"repository_id": 123,
"owner": "<string>",
"repository": "<string>",
"number": 123,
"url": "<string>",
"state": "<string>",
"draft": true,
"head_branch": "<string>",
"base_branch": "<string>",
"created": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}schema-3_other
Create Or Update
POST
/
api
/
v1
/
sandbox
/
sessions
/
{session_id}
/
github
/
pull-request
Typescript (SDK)
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.schema3Other.createOrUpdateApiV1SandboxSessionsSessionIdGithubPullRequestPost({
sessionId: "<id>",
gitHubPullRequestRequest: {
branch: "<value>",
title: "<value>",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Schema3Other.CreateOrUpdateApiV1SandboxSessionsSessionIdGithubPullRequestPostAsync(
sessionId: "<id>",
body: new GitHubPullRequestRequest() {
Branch = "<value>",
Title = "<value>",
}
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.schema_3_other.create_or_update_api_v1_sandbox_sessions_session_id_github_pull_request_post(session_id="<id>", branch="<value>", title="<value>", body="", draft=False)
# Handle response
print(res)Authorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Path Parameters
Body
application/json
Public operation request.
It deliberately has no repository field: the repository is the session's clone binding. The head branch is the caller's — the branch the agent pushed.
Was this page helpful?
⌘I